<?php

declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('maestro_app_settings', function (Blueprint $table) {
            $table->id();
            $table->json('theme')->nullable();
            $table->string('logo_sidebar_path')->nullable();
            $table->string('logo_header_path')->nullable();
            $table->string('logo_compact_path')->nullable();
            $table->string('favicon_path')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('maestro_app_settings');
    }
};
